Bug 245064 - [Patch] net/samba410: disable DNS requirement when functioning as SMB file server
Summary: [Patch] net/samba410: disable DNS requirement when functioning as SMB file se...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Timur I. Bakeyev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-25 20:49 UTC by Tommy P
Modified: 2020-04-06 21:33 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (timur)


Attachments
Patch Makefile to use dns/py-dnspython when needed (952 bytes, patch)
2020-03-25 20:50 UTC, Tommy P
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tommy P 2020-03-25 20:49:52 UTC
The current dependency of dns/py-dnspython is indirectly blocking other port(s) from installing.  For example:

dns/py-dnspython depends on security/py-pycryptodome

security/py-pycryptodome conflicts with security/py-pycrypto

security/py-crypto is needed by sysutils/py-salt

Also, when functioning as a simple SMB file server, I don't think DNS functionality should be needed:

/usr/ports/net/samba410 # make showconfig
===> The following configuration options are available for samba410-4.10.13:
     ADS=off: Active Directory client(implies LDAP)
     AD_DC=off: Active Directory Domain Controller
     AESNI=on: Accelerated AES crypto functions(amd64 only)
     CLUSTER=off: Clustering support
     CUPS=off: CUPS printing system support
     DEBUG=off: Build with debugging support
     DEVELOPER=off: With developer framework(implies NTVFS)
     DOCS=off: Build and/or install documentation
     FAM=on: File Alteration Monitor
     GPGME=off: GpgME support
     LDAP=off: LDAP client
     MANDOC=off: Build manpages from DOCBOOK templates
     NTVFS=off: Build *DEPRECATED* NTVFS file server
     PROFILE=on: Profiling data
     QUOTAS=on: Disk quota support
     SPOTLIGHT=off: Spotlight server-side search support
     SYSLOG=on: Syslog logging support
     UTMP=on: UTMP accounting
====> VFS modules
     FRUIT=on: MacOSX and TimeMachine support
     GLUSTERFS=off: GlusterFS support
====> GSSAPI Security API support: you have to select exactly one of them
     GSSAPI_BUILTIN=off: GSSAPI support via bundled Heimdal
     GSSAPI_MIT=on: GSSAPI support via security/krb5
====> Zero configuration networking: you have to select exactly one of them
     ZEROCONF_NONE=off: Zeroconf support is absent
     AVAHI=on: Zeroconf support via Avahi
     MDNSRESPONDER=off: Zeroconf support via mDNSResponder
====> DNS frontend: you can only select none or one of them
     NSUPDATE=off: Use samba NSUPDATE utility for AD DC
     BIND911=off: Use Bind 9.11 as AD DC DNS server frontend
     BIND914=off: Use Bind 9.14 as AD DC DNS server frontend
===> Use 'make config' to modify these settings
Comment 1 Tommy P 2020-03-25 20:50:48 UTC
Created attachment 212716 [details]
Patch Makefile to use dns/py-dnspython when needed
Comment 2 Timur I. Bakeyev freebsd_committer 2020-04-06 00:31:09 UTC
I've removed that dependency entirely, it's not necessary anymore.

The way it was dealt with in your patch wouldn't work anyhow, as configure script (was) requesting this dependency unconditionally, like it does it with iso8601 now...

py-salt should be fixed to use security/py-pycryptodome, please file a PR against it as well.

Salt Version:
           Salt: 3000

Dependency Versions:
           cffi: 1.13.2
       cherrypy: Not Installed
       dateutil: Not Installed
      docker-py: Not Installed
          gitdb: Not Installed
      gitpython: Not Installed
         Jinja2: 2.10.3
        libgit2: 0.28.4
       M2Crypto: 0.35.2
           Mako: Not Installed
   msgpack-pure: Not Installed
 msgpack-python: 0.6.2
   mysql-python: Not Installed
      pycparser: 2.19
       pycrypto: 2.6.1
   pycryptodome: Not Installed
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
         pygit2: 0.28.2
         Python: 3.7.7 (default, Mar 26 2020, 15:31:13)
   python-gnupg: Not Installed
         PyYAML: 3.13
          PyZMQ: 18.1.1
          smmap: Not Installed
        timelib: Not Installed
        Tornado: 4.5.3
            ZMQ: 4.3.2

Thank you!
Comment 3 Tommy P 2020-04-06 21:33:53 UTC
Thank you.  I made that patch so I could experiment with py-salt without losing Samba CIFS/SMB server currently in place.